# Visualization
TKService
Aspect

# Aspect_GraphicDevice Class Reference

`#include <Aspect_GraphicDevice.hxx>`

Inheritance diagram for Aspect_GraphicDevice:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_Aspect_GraphicDriver | GraphicDriver () const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Aspect_GraphicDevice ()

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_GraphicDevice::Aspect_GraphicDevice | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_Aspect_GraphicDriver Aspect_GraphicDevice::GraphicDriver | ( |  | ) | const`[pure virtual]`

| Implemented in Graphic3d_GraphicDevice, Graphic3d_WNTGraphicDevice, WNT_GraphicDevice, and Xw_GraphicDevice.

Standard_EXPORT const Aspect_GraphicDevice::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Graphic3d_GraphicDevice, Graphic3d_WNTGraphicDevice, WNT_GraphicDevice, and Xw_GraphicDevice.

The documentation for this class was generated from the following file:

- Aspect_GraphicDevice.hxx